Bug 196875 - ipw2200 reports NETDEV_TX_BUSY
ipw2200 reports NETDEV_TX_BUSY
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-27 10:08 EDT by Simon Goodall
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 17:15:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Goodall 2006-06-27 10:08:13 EDT
Description of problem:
The ipw2200 driver reports the following message on startup.

eth1: NETDEV_TX_BUSY returned; driver should report queue full via
ieee_device->is_queue_full.



Version-Release number of selected component (if applicable):
2.6.17-1.2139_FC5

How reproducible:
Always

Steps to Reproduce:
1. Boot up and have ipw2200 module loaded.
2.
3.
  
Actual results:
Above message

Expected results:
No message?

Additional info:
Comment 1 Dave Jones 2006-10-16 17:01:14 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Simon Goodall 2006-10-31 12:01:41 EST
This still occurs on FC6. However, I added the following line to modprobe.conf
before I saw this message.

options ipw2200 hwcrypto=0 associate=0
Comment 3 John W. Linville 2006-11-29 17:15:58 EST
That message is no longer present upstream.  It will disappear from Fedora 
when we move to 2.6.19.  The message is harmless, and should not pose an 
operational problem.

Note You need to log in before you can comment on or make changes to this bug.